package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2018-07-13.
 *
 * @author jlutt
 */
@SuppressWarnings("unused")
public class ConfigValue extends BaseEntity {

    @RColumn("configkey")
    private String configKey;

    @RColumn("configname")
    private String configName;

    @RColumn("configvalue1")
    private String configValue1;

    @RColumn("configvalue2")
    private String configValue2;

    @RColumn("configvalue3")
    private String configValue3;

    @Comment("0表示系统内置模块，1表示业务内置模块，2表示业务可修改模块")
    @RColumn("configtype")
    private int configType;

    @Comment("所属模块")
    @RColumn("configmodule")
    private String configModule;

    @RColumn("remark")
    private String remark;

    public String getConfigKey() {
        return configKey;
    }

    public void setConfigKey(String configKey) {
        this.configKey = configKey;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public String getConfigValue1() {
        return configValue1;
    }

    public void setConfigValue1(String configValue1) {
        this.configValue1 = configValue1;
    }

    public String getConfigValue2() {
        return configValue2;
    }

    public void setConfigValue2(String configValue2) {
        this.configValue2 = configValue2;
    }

    public String getConfigValue3() {
        return configValue3;
    }

    public void setConfigValue3(String configValue3) {
        this.configValue3 = configValue3;
    }

    public int getConfigType() {
        return configType;
    }

    public void setConfigType(int configType) {
        this.configType = configType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getConfigModule() {
        return configModule;
    }

    public void setConfigModule(String configModule) {
        this.configModule = configModule;
    }
}
